package com.elitesland.itm.param;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p>
 * 功能说明
 * </p >
 *
 * @author Roman.Zhang
 * @date 2020/7/8
 */
@Data
@Accessors(chain = true)
@ApiModel(value = "ITM_BRAND", description = "品牌")
public class ItmBrandCreateParam implements Serializable {
    private static final long serialVersionUID = 5843563034779929044L;

    @ApiModelProperty("品牌代码")
    private String brandCode;

    @ApiModelProperty("品牌名称")
    private String brandName;

    @ApiModelProperty("名称2")
    private String brandName2;

    @ApiModelProperty("简称")
    private String abbrName;

    @ApiModelProperty("品牌状态")
    private String brandStatus;

    @ApiModelProperty("类型 [UDC]COM:BRAND_TYPE")
    private String brandType;

    @ApiModelProperty("类型2")
    private String brandType2;

    @ApiModelProperty("类型3")
    private String brandType3;

    @ApiModelProperty("产品组 [UDC]ITM:ITEM_GROUP")
    private String itemGroup;

    @ApiModelProperty("品类")
    private String itemCate;

    @ApiModelProperty("品牌阶段 [UDC]COM:BRAND_PHASE")
    private String brandPhase;

    @ApiModelProperty("品牌层级 [UDC]COM:BRAND_LEVEL")
    private String brandLevel;

    @ApiModelProperty("上级ID")
    private Integer pid;

    @ApiModelProperty("路径")
    private String brandPath;

    @ApiModelProperty("代理商")
    private String agency;

    @ApiModelProperty("品牌经理")
    private Long managerEmpId;

    @ApiModelProperty("账号唯一ID")
    private Long id;

    @ApiModelProperty(value = "租户ID")
    private Long tenantId;

    @ApiModelProperty(value = "备注")
    private String remark;

    @ApiModelProperty(value = "记录创建者ID")
    private Long createUserId;

    @ApiModelProperty(value = "记录创建时间")
    private LocalDateTime createTime;

    @ApiModelProperty(value = "记录最后更新者ID")
    private Long modifyUserId;

    @ApiModelProperty(value = "记录最后更新时间")
    private LocalDateTime modifyTime;

    @ApiModelProperty(value = "逻辑删除，0：未删除，1：已删除")
    private Integer deleteFlag;
}
